{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% load bootstrap_pagination %}
{% load general_tags %}
{% block stylesheet %}
<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/sweetalert/sweetalert.css' %}">
{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Registro Académico" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'teacher_list' %}">{% trans "Docentes" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Registro Académico" %}</strong>
            </li>

        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-md-12">
        <div class="ibox float-e-margins">
            <div class="ibox-content">
            <div class="row">
                <div class="col-md-10">
                    <h2>{% trans "Registro Académico"%}</h2>
                </div>
                <div class="col-md-2">
                    <a href="{% url 'academic_record_add' %}" class="btn btn-primary btn-lg pull-right" id="career_add"><span class="glyphicon glyphicon-plus"></span> {% trans "Agregar" %}</a>
                </div>
            </div>

            <div class="input-group">
                <input type="text" placeholder="{% trans 'Buscar registro' %}" class="input form-control">
                <span class="input-group-btn">
                        <button type="button" class="btn btn btn-info"> 
                        <i class="fa fa-search"></i> Buscar</button>
                </span>
            </div>


            {% if messages %}
                {% for message in messages %}
                    <div {% if message.tags %} class="alert alert-{{ message.tags }} alert-dismissable" {% endif %}>
                        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
            <div class="clients-list">
            <div class="tab-content">                    
                <div class="full-height-scroll">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>                                         
                                    <th>{% trans "Facultad"%}</th>
                                    <th>{% trans "Sede"%}</th>
                                    <th>{% trans "Campus"%}</th>
                                    <th>{% trans "Programa"%}</th>
                                    <th>{% trans "Jornada"%}</th>
                                    <th>{% trans "Acciones" %}</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for academic_record in object_list %}
                            <tr>
                                <td>{{academic_record.faculty}}</td> 
                                <td>{{academic_record.seat}}</td> 
                                <td>{{academic_record.campus}}</td> 
                                <td>{{academic_record.carreer}}</td> 
                                <td>{{academic_record.carreer.shift}}</td> 
                                <td class="col-md-3 project-actions " style="text-align:left">
                                    <a href="{% url 'academic_record_update' academic_record.pk %}"><button type="button" class="btn btn-info btn-sm update_academic_record"><i class="fa fa-info-circle"></i> {% trans "Editar" %}</button></a>
                                    <a class="delete btn btn-danger btn-sm" href="{% url 'academic_record_delete' academic_record.pk %}" data-academic_recordname="{{academic_record}}"><i class="fa fa-trash"></i> {% trans "Borrar" %} </a> 
                                </td>
                            </tr>
                            {% endfor %}
                            
                           
                            </tbody>
                        </table>

                    </div><!-- end table responsive -->
                    <div class="pull-right">
                        {% bootstrap_paginate object_list range=10 show_prev_next="false" show_first_last="true" %}
                    </div>  
                </div>
            </div><!-- tab-content -->
            </div><!-- cliuents list -->

        </div><!-- ibox content -->
    </div>
</div>

{% endblock content %}

{% block javascript %}

<script src="{% static 'js/plugins/dataTables/datatables.min.js' %}"></script>
<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>

<!-- Page-Level Scripts -->
<script>
    $(document).ready(function(){        

        $('.delete').click(function (event){
            event.preventDefault();         
            var url_delete = $(this).attr('href');
            swal({
                title: "¿Está seguro que desea eliminar el Registro Académico " + $(this).data('academic_recordname') + "?",
                text: "No podrá volver atrás",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Sí, deseo eliminarlo",
                closeOnConfirm: false
            }, function () {
                swal("Eliminado!", "Regstro Académico eliminado.", "success");
                window.location.href = url_delete;
            });
        });
    });

</script>

{% endblock javascript %}